Running newer games on SX OS

thesjaakspoiler

Well-Known Member
Member
Joined
Nov 20, 2018
Messages
1,013
Trophies
0
Age
124
XP
1,545
Country
Afghanistan
Found this comment in another thread:
Just use Tinfoil or SX Installer to install the games and toggle the 'Convert to Standard Crypto' feature to YES to bypass firmware checks when you run the software.
As long as the games don't use any of the features from the newer firmware, you should be good.
 
  • Like
Reactions: Kevin Beam

sh2dc

Well-Known Member
Member
Joined
Jan 23, 2015
Messages
257
Trophies
0
Age
33
XP
643
Country
United States
Games that require masterkey 0b and above won't work, you can play anything that require 0a and below on 11.0.0

Not true
I can ran patched firmware newest game on old 10.2.0 sx os
I mean the crysis 2 dying light etc.

On 2 years old 10.2.0 nand
===============

Could you tell me why?!
 
Last edited by sh2dc,

Hayato213

Newcomer
Member
Joined
Dec 26, 2015
Messages
20,164
Trophies
1
XP
21,459
Country
United States
You have to look at the required masterkey the game use, so if those game require masterkey 0b, obviously you can't run it on 11.0.0 and below, 11.0.0 to 12.0.2 use masterkey 0a, and 12.1.0 introduced masterkey 0b.
 

mikefor20

Well-Known Member
Member
Joined
Jan 12, 2009
Messages
1,925
Trophies
2
Location
Mushroom Kingdom ( o Y o )
XP
3,858
Country
United States
is there a way to install splitted nsps with the sx installer ?
Sxinstaller as well as sxos built in installer is flawed. Use tinfoil,awoo or dbi. Or a variant. The SX installers patch the game and make them unable to load in atmosphere. It's best to make everything correct so you can freely bounce back and forth between SX and Atmo if necessary.
Not true
I can ran patched firmware newest game on old 10.2.0 sx os
I mean the crysis 2 dying light etc.

On 2 years old 10.2.0 nand
===============

Could you tell me why?!
You can only downgrade as far as the game was developed for. The game has requirements. Then it is encrypted to the newest keys for copy protection purposes. That's why some work and not others. The standard crypto option only works as far back as the dependencies of the game.

This has been answered a trillion times.
 

linuxares

The inadequate, autocratic beast!
Global Moderator
Joined
Aug 5, 2007
Messages
13,434
Trophies
2
XP
18,437
Country
Sweden
Sxinstaller as well as sxos built in installer is flawed. Use tinfoil,awoo or dbi. Or a variant. The SX installers patch the game and make them unable to load in atmosphere. It's best to make everything correct so you can freely bounce back and forth between SX and Atmo if necessary.

You can only downgrade as far as the game was developed for. The game has requirements. Then it is encrypted to the newest keys for copy protection purposes. That's why some work and not others.
Copy protection is probably the least of the concern, more the internal works of how you should do it at Nintendo for the best efficiency of using the Switch.
 

mikefor20

Well-Known Member
Member
Joined
Jan 12, 2009
Messages
1,925
Trophies
2
Location
Mushroom Kingdom ( o Y o )
XP
3,858
Country
United States
Copy protection is probably the least of the concern, more the internal works of how you should do it at Nintendo for the best efficiency of using the Switch.

That makes no sense. One encryption key or an another is not more efficent. Encryption IS about obfuscating code. Decrypted is more efficient. They just bring it up to the current keys at the time of release. This is the most secure route.
 

linuxares

The inadequate, autocratic beast!
Global Moderator
Joined
Aug 5, 2007
Messages
13,434
Trophies
2
XP
18,437
Country
Sweden
That makes no sense. One encryption key or an another is not more efficent. Encryption IS about obfuscating code. Decrypted is more efficient. They just bring it up to the current keys at the time of release. This is the most secure route.
Internal routine. Since the new FW requires the new firmware key, it just be like that. Since FW 13+ might include things that the games requires.
 

mikefor20

Well-Known Member
Member
Joined
Jan 12, 2009
Messages
1,925
Trophies
2
Location
Mushroom Kingdom ( o Y o )
XP
3,858
Country
United States
Internal routine. Since the new FW requires the new firmware key, it just be like that. Since FW 13+ might include things that the games requires.
Efficient in that having a general standard for everything? Okay. But from a software standpoint decrypted is more efficient and the whole point of encryption is security. If there was not tom foolery and piracy than encryption would be moot. There would be just a version check. The only requirements would be whatever existed at the time of development.
 

linuxares

The inadequate, autocratic beast!
Global Moderator
Joined
Aug 5, 2007
Messages
13,434
Trophies
2
XP
18,437
Country
Sweden
Efficient in that having a general standard for everything? Okay. But from a software standpoint decrypted is more efficient and the whole point of encryption is security. If there was not tom foolery and piracy than encryption would be moot. There would be just a version check. The only requirements would be whatever existed at the time of development.
Of course encryption is anti privacy and anti tampering. However new games being release and updates requiring the new fw is just a standard practice for best compatibility. Of course a crypto gets updated. I don't see your point to it only being anti piracy
 

Site & Scene News

Popular threads in this forum

General chit-chat
Help Users
    SylverReZ @ SylverReZ: https://youtu.be/vtGSfyI8VUk